LinuxQuestions.org
Download your favorite Linux distribution at LQ ISO.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 11-01-2013, 11:12 AM   #1
senthilcaesar
LQ Newbie
 
Registered: Jul 2013
Posts: 8

Rep: Reputation: Disabled
Unhappy Issues in Installing Ethernet Driver on RHEL6


Hi All,

Am using Toshiba Satellite C850-l5212 Laptop . I have installed RHEL6 server on it ( Linux 2.6.32-220.el6.x86_64 )

Now ethernet eth0 is no working .Am not able to find eth0 when i do ifconfig -a . Later found that ethernet driver was not installed.

Got the driver from https://www.kernel.org/pub/linux/kernel … -u.tar.bz2

- tar jxvf compat-drivers-2013-03-15-u.tar.bz2
-./scripts/driver-select alx
- make

Getting the below error while carrying out the phase . Could some please help me troubleshoot this below error . Am unable to access Internet.

[root@localhost compat-drivers-2013-03-15-u]# ls
code-metrics.txt config.mk drivers include Makefile patches scripts
compat COPYING enable-older-kernels MAINTAINERS net README.md udev
[root@localhost compat-drivers-2013-03-15-u]# ./scripts/driver-select alx
Processing new driver-select request...
Backing up makefile: Makefile.bk
Backup exists: Makefile.bk
Backing up makefile: drivers/net/ethernet/broadcom/Makefile.bk
Backing up makefile: drivers/net/ethernet/atheros/Makefile.bk
Backup exists: Makefile.bk
Backup exists: Makefile.bk
Backup exists: drivers/net/ethernet/broadcom/Makefile.bk
[root@localhost compat-drivers-2013-03-15-u]# make
./scripts/gen-compat-autoconf.sh /root/Desktop/compat-drivers-2013-03-15-u/.config /root/Desktop/compat-drivers-2013-03-15-u/config.mk > include/linux/compat_autoconf.h
make -C /lib/modules/2.6.32-220.el6.x86_64/build M=/root/Desktop/compat-drivers-2013-03-15-u modules
make[1]: Entering directory `/usr/src/kernels/2.6.32-220.el6.x86_64'
CC [M] /root/Desktop/compat-drivers-2013-03-15-u/compat/main.o
In file included from /root/Desktop/compat-drivers-2013-03-15-u/include/linux/compat-2.6.h:58,
from <command-line>:0:
/root/Desktop/compat-drivers-2013-03-15-u/include/linux/compat-2.6.35.h:29: error: redefinition of ‘qdisc_reset_all_tx_gt’
include/net/sch_generic.h:326: note: previous definition of ‘qdisc_reset_all_tx_gt’ was here
/root/Desktop/compat-drivers-2013-03-15-u/include/linux/compat-2.6.35.h:48: error: conflicting types for ‘netif_set_real_num_tx_queues’
include/linux/netdevice.h:1766: note: previous declaration of ‘netif_set_real_num_tx_queues’ was here
In file included from /root/Desktop/compat-drivers-2013-03-15-u/include/linux/compat-2.6.h:62,
from <command-line>:0:
/root/Desktop/compat-drivers-2013-03-15-u/include/linux/compat-2.6.39.h:21:1: warning: "NETIF_F_RXCSUM" redefined
In file included from /root/Desktop/compat-drivers-2013-03-15-u/include/linux/compat-2.6.29.h:5,
from /root/Desktop/compat-drivers-2013-03-15-u/include/linux/compat-2.6.h:52,
from <command-line>:0:
include/linux/netdevice.h:879:1: warning: this is the location of the previous definition
make[3]: *** [/root/Desktop/compat-drivers-2013-03-15-u/compat/main.o] Error 1
make[2]: *** [/root/Desktop/compat-drivers-2013-03-15-u/compat] Error 2
make[1]: *** [_module_/root/Desktop/compat-drivers-2013-03-15-u] Error 2
make[1]: Leaving directory `/usr/src/kernels/2.6.32-220.el6.x86_64'
make: *** [modules] Error 2
 
Old 11-01-2013, 02:02 PM   #2
John VV
LQ Muse
 
Registered: Aug 2005
Location: A2 area Mi.
Posts: 17,245

Rep: Reputation: 2527Reputation: 2527Reputation: 2527Reputation: 2527Reputation: 2527Reputation: 2527Reputation: 2527Reputation: 2527Reputation: 2527Reputation: 2527Reputation: 2527
RHEL 6 ( 6 what ? 6.4 is current)
is a NOT free operating system

you HAVE to buy the REQUIRED support contract to be able to really use it

also laptop support is very limited as in :
-- Most will mostly run it mostly well most of the time , maybe .
but a lot of laptops will NEVER be able to run it .

Quote:
/root/Desktop/compat-drivers-2013-03-15-u/include/linux/compat-2.6.29.h:5

also root should NOT have a desktop folder for you to have downloaded it to
did you not see the WARNING that firefox gave you about running it as root!

"make" is ran as a NORMAL ( NON-ROOT) user
use "su" to become root in the terminal to run "make install"

also "linux is not windows"
the Desktop folder is more DECORATION and is not a good place to build software on
you might run into problems , if you do .


seeing as this is red hat
you DID buy the license ?? right
the standard 1 year for $299 /year

the driver should be in RHN
you get access to that with the required support contract
also redhat techsupport will point you to all that is needed

or use the knowledge base
https://access.redhat.com/search/bro...al_language=en

login to the redhat site with the credentials you set up wit hthe license/support contract ( you will need it to use the search above )

or if you did not buy the license and are not going to
install the FREE rebuild of the current RHEL 6.4
CentOS 6.4


as to the error above
the code on kernel org dose NOT have the required redhat patches added to it so that it can build on redhat
you have to get the patches from redhat
or use centOS

Last edited by John VV; 11-01-2013 at 02:10 PM.
 
Old 11-02-2013, 03:59 AM   #3
senthilcaesar
LQ Newbie
 
Registered: Jul 2013
Posts: 8

Original Poster
Rep: Reputation: Disabled
Hi John,

Thanks for taking time and responding

Figured out this link and atlast found the solution - http://www.centos.org/forums/viewtopic.php?t=7269

Installed alx-linux-v2.0.0.6.rar and now eth0 is showing up.

Relieved
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Lenovo G470: problem installing Atheros AR8152 v2 ethernet and Broadcom WIreless (RHEL6) subashd Linux - Laptop and Netbook 1 03-18-2012 10:04 AM
Lenovo G470: problem installing Atheros AR8152 v2 ethernet and Broadcom WIreless (RHEL6) subashd Linux - Laptop and Netbook 4 03-18-2012 03:56 AM
RHEL 4 and Intel 82566DM Ethernet driver issues? DRLski Linux - Hardware 0 06-29-2008 03:11 AM
installing an ethernet card driver shuffdog Linux - Networking 7 06-11-2006 02:30 PM
installing ethernet driver help sbcdivision63 Red Hat 3 11-05-2003 05:23 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie

All times are GMT -5. The time now is 12:20 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration